## About Semantic Kernel

**Semantic Kernel (SK)** is a lightweight SDK enabling integration of AI Large
Language Models (LLMs) with conventional programming languages. The SK extensible
programming model combines natural language **semantic functions**, traditional
code **native functions**, and **embeddings-based memory** unlocking new potential
and adding value to applications with AI.

SK supports prompt templating, function chaining, vectorized memory, and intelligent planning
capabilities out of the box.

Semantic Kernel is designed to support and encapsulate several design patterns from the
latest in AI research, such that developers can infuse their applications with complex
skills like prompt chaining, recursive reasoning, summarization, zero/few-shot learning,
contextual memory, long-term memory, embeddings, semantic indexing, planning, and accessing
external knowledge stores as well as your own data.

A skill refers to a domain of expertise made available to the kernel as a single
function, or as a group of functions related to the skill. The design of SK skills
has prioritized maximum flexibility for the developer to be both lightweight and
extensible.

## Getting Started ⚡

- Check out the [GitHub repository](https://github.com/microsoft/semantic-kernel) for the latest updates
- Learn more at the [documentation site](https://aka.ms/SK-Docs)
